digiKam Developer Documentation: Digikam::DRawDecoderWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::DRawDecoderWidget Class Reference
Inheritance diagram for Digikam::DRawDecoderWidget:

## Public Types
enum | AdvancedSettingsOptions { SIXTEENBITS = 0x00000001 , COLORSPACE = 0x00000002 , POSTPROCESSING = 0x00000004 , BLACKWHITEPOINTS = 0x00000008 }
enum | SettingsTabs { DEMOSAICING = 0 , WHITEBALANCE , CORRECTIONS , COLORMANAGEMENT }

## Signals
void | signalSettingsChanged ()
void | signalSixteenBitsImageToggled (bool)
Signals inherited from Digikam::DExpanderBox
void | signalItemButtonPressed (int index)
void | signalItemExpanded (int index, bool b)
void | signalItemToggled (int index, bool b)

## Public Member Functions
| DRawDecoderWidget (QWidget *const parent, int advSettings=COLORSPACE)
| The widget to host the Raw Decoder settings.
bool | brightnessSettingsIsEnabled () const
DFileSelector * | inputProfileUrlEdit () const
DFileSelector * | outputProfileUrlEdit () const
void | readSettings (KConfigGroup &group) override
void | resetToDefault ()
void | setEnabledBrightnessSettings (bool b)
void | setSettings (const DRawDecoderSettings &settings)
DRawDecoderSettings | settings () const
void | setup (int advSettings)
void | updateMinimumWidth ()
void | writeSettings (KConfigGroup &group) override
Public Member Functions inherited from Digikam::DExpanderBox
| DExpanderBox (QWidget *const parent=nullptr)
void | addItem (QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Add DLabelExpander item at end of box layout with these settings : 'w' : the widget hosted by DLabelExpander.
void | addItem (QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | addStretch ()
bool | buttonIsVisible (int index) const
bool | checkBoxIsVisible (int index) const
int | count () const
int | indexOf (DLabelExpander *const widget) const
void | insertItem (int index, QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Insert DLabelExpander item at box layout index with these settings : 'w' : the widget hosted by DLabelExpander.
void | insertItem (int index, QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | insertStretch (int index)
bool | isChecked (int index) const
bool | isItemEnabled (int index) const
bool | isItemExpanded (int index) const
QIcon | itemIcon (int index) const
QString | itemText (int index) const
QString | itemToolTip (int index) const
void | removeItem (int index)
void | setButtonIcon (int index, const QIcon &icon)
void | setButtonToolTip (int index, const QString &tip)
void | setButtonVisible (int index, bool b)
void | setCheckBoxVisible (int index, bool b)
void | setChecked (int index, bool b)
void | setItemEnabled (int index, bool enabled)
void | setItemExpanded (int index, bool b)
void | setItemIcon (int index, const QIcon &icon)
void | setItemText (int index, const QString &txt)
void | setItemToolTip (int index, const QString &tip)
DLabelExpander * | widget (int index) const

## Static Public Member Functions
static void | readSettings (DRawDecoderSettings &setting, const KConfigGroup &group)
static void | writeSettings (const DRawDecoderSettings &setting, KConfigGroup &group)

## Constructor & Destructor Documentation

## ◆ DRawDecoderWidget()

Digikam::DRawDecoderWidget::DRawDecoderWidget | ( | QWidget *const | parent,
|  | int | advSettings = `COLORSPACE`
| ) |  |
| explicit

Parameters

  parent | the parent widget instance
  advSettings | the default value is COLORSPACE

## Member Function Documentation

## ◆ readSettings()

void Digikam::DRawDecoderWidget::readSettings | ( | KConfigGroup & | group | ) |
| overridevirtual

Reimplemented from Digikam::DExpanderBox.

## ◆ writeSettings()

void Digikam::DRawDecoderWidget::writeSettings | ( | KConfigGroup & | group | ) |
| overridevirtual

Reimplemented from Digikam::DExpanderBox.